#ifndef FSCTL_FUGUE_BITS_DIR_H
#define FSCTL_FUGUE_BITS_DIR_H 1

#include <stdint.h>
#include <string.h>

#include "fsctl/fugue/bits/fs.h"

/* fugue_dirent : Fugue directory abstraction */
struct fugue_dirent
{
    /* middle-level information */
    uintptr_t current_dir_addr;
    uintptr_t cluster_addr_start;
    uintptr_t cluster_addr_end;
    uint32_t  cluster_idx;

    /* low-level information */
    struct {
        fugue_fs_t fs;
        int lfn_prev_idx;
    } _private;

};
typedef struct fugue_dirent fugue_dirent_t;

#endif /* FSCTL_FUGUE_BITS_DIR_H */
