#ifndef FSCTL_FUGUE_BITS_FILE_H
#define FSCTL_FUGUE_BITS_FILE_H 1

#include <stdint.h>
#include <stddef.h>

/* FUGUE_FILE_TYPE_* : supported file types */
#define FUGUE_FILE_TYPE_DIR     0x01
#define FUGUE_FILE_TYPE_FILE    0x02

/* struct fugue_file : Fugue file abstraction */
struct fugue_file
{
    char name[210];
    size_t name_len;
    int type;
    uint32_t size;
};
typedef struct fugue_file fugue_file_t;

#endif /* FSCTL_FUGUE_BITS_FILE_H */
