#ifndef FSCTL_FUGUE_CLUSTER_H
#define FSCTL_FUGUE_CLUSTER_H 1

#include "fsctl/fugue/bits/fs.h"

//---
// Public
//---

/* fugue_cluster_is_valid() : check cluster validity */
extern int fugue_cluster_is_valid(fugue_fs_t *fs, int cluster_idx);

/* fugue_cluster_find_next() : find the next cluster address if available */
extern uintptr_t fugue_cluster_find_next(fugue_fs_t *fs, uint32_t cluster_idx);

#endif /* FSCTL_FUGUE_CLUSTER_H */
