#ifndef FSCTL_MENU_UTILS_H
#define FSCTL_MENU_UTILS_H 1

#include <gint/display.h>
#include <gint/keyboard.h>

//---
// Helpers
//---

#define _printXY(x, y, ...)     \
    dprint((x * 10) + 3, (y * 12) + 5, C_BLACK, __VA_ARGS__)

#define _rectXY(x, y, color)    \
    drect_border(               \
        (x * 12) + 3 + 85,      \
        (y * 12) + 3,           \
        (x * 12) + 3 + 85 + 12, \
        (y * 12) + 3 + 12,      \
        color,                  \
        1,                      \
        C_BLACK                 \
    )

#define _lrectXY(x, y, color)   \
    drect_border(               \
        (x * 48) + 3 + 85,      \
        (y * 12) + 3,           \
        (x * 48) + 3 + 85 + 48, \
        (y * 12) + 3 + 12,      \
        color,                  \
        1,                      \
        C_BLACK                 \
    )
#define _lrectTextXY(x, y, hex) \
    dprint_opt(                 \
        (x * 48) + 3 + 85 + 24, \
        (y * 12) + 3 + 6,       \
        C_BLACK,                \
        C_NONE,                 \
        DTEXT_CENTER,           \
        DTEXT_MIDDLE,           \
        "%04X",                 \
        hex                     \
)

#endif /* FUGUE_MENU_ROM_H */
